From 6853d4d1ef87e8740a293d7c8e548099dfce5949 Mon Sep 17 00:00:00 2001
From: mbm <mbm@3c298f89-4303-0410-b956-a3cf2f4a3e73>
Date: Sun, 13 May 2007 09:39:21 +0000
Subject: clean up the mtd unlocking

git-svn-id: svn://svn.openwrt.org/openwrt/trunk@7199 3c298f89-4303-0410-b956-a3cf2f4a3e73
---
 package/base-files/files/sbin/mount_root | 25 +++++++++++++------------
 1 file changed, 13 insertions(+), 12 deletions(-)

(limited to 'package')

diff --git a/package/base-files/files/sbin/mount_root b/package/base-files/files/sbin/mount_root
index 2006f0128..a77a7f645 100755
--- a/package/base-files/files/sbin/mount_root
+++ b/package/base-files/files/sbin/mount_root
@@ -41,18 +41,19 @@ jffs2_ready () {
 }
 
 [ failsafe != "$1" ] && {
-	grep rootfs /proc/mtd >/dev/null 2>/dev/null && {
-		mtd unlock rootfs
-		grep rootfs_data /proc/mtd >/dev/null 2>/dev/null && {
-			. /bin/firstboot
-			jffs2_ready && {
-				echo "switching to jffs2"
-				mount "$(find_mtd_part rootfs_data)" /jffs -t jffs2 && \
+	grep rootfs_data /proc/mtd >/dev/null 2>/dev/null && {
+		. /bin/firstboot
+		mtd unlock rootfs_data
+		jffs2_ready && {
+			echo "switching to jffs2"
+			mount "$(find_mtd_part rootfs_data)" /jffs -t jffs2 && \
 				fopivot /jffs /rom
-			} || {
-				echo "jffs2 not ready yet; using ramdisk"
-				ramoverlay
-			}
+		} || {
+			echo "jffs2 not ready yet; using ramdisk"
+			ramoverlay
 		}
-	} || mount -o remount,rw /dev/root /
+	} || {
+		mtd unlock rootfs
+		mount -o remount,rw /dev/root /
+	}
 }
-- 
cgit v1.2.3